package intrinsic.flash.xml;

public class XMLNode extends Object {

	/** Accessors */
	public String prefix;
	public String namespaceURI;
	public intrinsic.Array childNodes;
	public Object attributes;
	public String localName;

	/** Variables */
	public String nodeValue;
	public intrinsic.flash.xml.XMLNode parentNode;
	public intrinsic.flash.xml.XMLNode previousSibling;
	public intrinsic.flash.xml.XMLNode lastChild;
	public intrinsic.flash.xml.XMLNode firstChild;
	public intrinsic.flash.xml.XMLNode nextSibling;
	public int nodeType;
	public String nodeName;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public XMLNode() {
}

public XMLNode(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native String getNamespaceForPrefix(String arg0);
public native String toString();
public native String getPrefixForNamespace(String arg0);
public native void appendChild(intrinsic.flash.xml.XMLNode arg0);
public native void insertBefore(intrinsic.flash.xml.XMLNode arg0, intrinsic.flash.xml.XMLNode arg1);
public native intrinsic.flash.xml.XMLNode cloneNode(boolean arg0);
public native void removeNode();
public native boolean hasChildNodes();

}
